"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function createApplicationContainer(opts) {
    var el = document.querySelector(opts.selector);
    if (el) {
        return el;
    }
    el = document.createElement(opts.selector);
    if (opts.parentElement) {
        var parentEl = document.querySelector(opts.parentElement);
        if (parentEl) {
            parentEl.appendChild(el);
        }
        else {
            document.body.appendChild(el);
        }
    }
    else {
        document.body.appendChild(el);
    }
    return el;
}
exports.createApplicationContainer = createApplicationContainer;
function removeApplicationContainer(opts) {
    var el = document.querySelector(opts.selector);
    if (el && el !== null) {
        if (!('remove' in Element.prototype)) {
            Element.prototype.remove = function () {
                if (el && el.parentNode) {
                    el.parentNode.removeChild(el);
                }
            };
        }
        else {
            el.remove();
        }
    }
}
exports.removeApplicationContainer = removeApplicationContainer;
//# sourceMappingURL=dom.utils.js.map